SHEBANG
# Copyright (C) @BABOLO  2011 Sep 22 http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.4 2011/11/21 14:21:05 babolo Exp $

JNTROSTUP(teamspeak3,,dnl
,dnl
# jailup ${genclass}${suffix} dir jailname jailaddr[ user[ group]]
#     where dir relative to ${JAILUPDIR} and ${JAILRODIR}
#     default user=942, default group=942
# installed ports/audio/teamspeak3-server useddnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
juid="${4:-942}"
jgid="${5:-942}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}
${up_genlist} server/ ${MTREE} | ${up_data} "${main_dir}/server/" "${PREFIX}/share/teamspeak/server/"
ETCOPY(host.conf hosts protocols resolv.conf services)
CONFCOPY(ts3server.ini, "${TEMPLATE}")

${up_libexe} "${main_dir}/libexec" << EOF
    ld-elf.so.1
    teamspeak_server
EOF

${up_shlib} "${main_dir}/lib" <<- EOF
	${PREFIX}/lib/teamspeak/server/libts3db_sqlite3.so
EOF

${up_ldsh} <<- EOF | ${up_shlib} "${main_dir}/lib"
	${main_dir}/libexec/teamspeak_server
	${main_dir}/lib/libts3db_sqlite3.so
EOF

      #####################################
      ####                             ####
      #### Begin of etc fill           ####
      ####                             ####
${up_acc} gr "${conf_dir}" <<- EOF
	wheel:*:0:root
	daemon:*:1:teamspeak
	teamspeak:*:${jgid}:
EOF

${up_acc} pwt "${conf_dir}" <<- EOF
	root:*:0:0::0:0:Charlie &:/:/dev/null/none
	teamspeak:*:${juid}:${jgid}::0:0:TeamSpeak:/var/run:/dev/null/none
EOF

${up_adc} "${etcdir}/newsyslog.conf" <<- EOF
	#${main_dir}/var/log/all 	644  9     *	@01T00  Z ${main_dir}/var/run/teamspeak3.pid
EOF
      ####                             ####
      #### End of etc fill             ####
      ####                             ####
      #####################################

${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.			type=dir mode=0755
    group
    host.conf
    hosts
    localtime
    master.passwd		mode=0600
    master.template		mode=0600
    protocols
    resolv.conf
    services
..
EOF
${pwd_mkdb} -d "${conf_dir}" -p "${conf_dir}/master.passwd"

${up_adc} "${JAILUPRC}" <<- EOF
	#${genclass}	${inclass}	${jdir}	${jailsname}	${jailsaddr}	0	${juid}	=
EOF

      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${up_adc} "${etcdir}/fstab" <<- EOF
	#devfs			${main_dir}/dev	devfs	rw		0 0
	#${conf_dir}		${main_dir}/etc	nullfs	ro,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
